Introduction to Dial-o-Matic

Dial-o-Matic is a PC based programmable answering machine for the telephone net. It is integrated into the Radiohost System and you can listen to and edit the messages from Broadcast and Communicator.


What´s new

Here you find a desciption of the features that are added to the latest version of Dial-o-Matic.

Version 3.000

  • Dongle copy protection
  • Lower use of system ressources


Log in

User Login

To start Dial-o-Matic you need a log in code. The code gives access to the system and controls application properties like fonts, color and window size. In Dial-o-Matic the code is like a program selector. Changes in programming will only take effect for the part of the week where the log in code is active. See other topic to setup active week part for a log in code.

Your log in code is provided by the system administrator.

Log in
1. Run the Dial-o-Matic application
2. Type your log in code and press the Ok button
3. Click the Log in button

Note: When Dial-o-Matic is first installed the default log in code is "1".


Log out

You need a log in code to log out of Dial-o-Matic.

Log out
1. Menu External - Log out
2. Write your log in code [Ok]


Wait mode

After a successful log in Dial-o-Matic will immediate go into wait mode. In wait mode Dial-o-Matic is watching the two telephone lines for incoming calls.

The selection tree/programming for the two lines is shown in each side of the window. Each line has a telephone icon at the top. The icon will change depending of the mode the line is in.

1. Wait mode: Normal icon
2. Call mode: Flashing icon
3. Receiving mode: The hook is off


Copy

A message from a listener is first saved on the local hard disk on the PC where Dial-o-Matic is installed. If the PC is successfully connected to the network, the message will be copied to a server.

You can see the status of the copy progress by selecting the menu: Copy


Preferences

You can change the color and font setup in Dial-o-Matic.

Preferences
1. Select the menu "Preferences"
2. Select a color or a font


Edit mode

To program Dial-o-Matic you need to enter the edit mode.

1. Menu: External - Edit
2. Type your log in code [Ok]
3. Select the line you want to edit by pressing the phone icons at the top right


Tree structure

Dial-o-Matic can present the listeners for a selection menu. Pressing a phone key will send the listener to a new menu or a new service.

Managing tree structure
1. Go to edit mode
2. Select an item
3. Right click the mouse
4. Select a function from the menu


Items

Each item can be programmed to present the listener for a specific function. All messages must be in Communicators "telephone format" or 8 bit, 11 KHz, mono.

Name of item
You can name each item or make a short description. This is for the programmers user interface only.

Type of item
The function an item will perform when selected.
Next : Go to a new menu (collection of items)
Home : Go to the introduction item
Back : Go to the previous item (menu)
Record message : Record a message from the listener
End : End the phone session

Intro message
Message for what will happen IF this item is selected.

Telephone button
The phone key to select this item.

Greeting
Message played AFTER this item is selected.

Call message is saved in
Directory where messages from this item is saved.

Max size of dir
A maximum number of Mb messages in the directory. If the limit is crossed oldest messages will be deleted to free disk space.


Log in

To setup Dial-o-Matic you need to log in using the supervisor log in code. After a successful supervisor log in you will see the supervisor setup window.

Log in
1. Run the Dial-o-Matic application
2. Type your system administrator log in code and press the Ok button

Note: When Dial-o-Matic is first installed the default log in code is "1".


Supervisor setup

A window where you have access to setup, log in/out and some utilities.

Log out
Return to the Log in window. You need to reenter a log in code to get access to Heavy Rotation.

Close
Log out and close the application.

Log in
Goto the main window.

System
Link to other modules in the Radiohost system. See other help topics.

Sys tool
Utilities. See other help topics.

Setup
Functionality of Heavy Rotation. See other help topics.

Users
Manage users, log in codes, directory access and more. See other help topics.


Description

In order to communicate with other modules in the Radiohost system, Heavy Rotation need to know where to find the other modules and databases.

In the SYSTEM window you can set up the links to other Radiohost modules.


Module name

"NAME FOR THIS MODULE" function identifies the specific installation of a Dial-o-Matic module. Given a unique name, other modules in the Radiohost system can then communicate with a particular installation of a Dial-o-Matic module.

!Caution!: Name the module correctly the first time. If you are changing the name, you will have to set up all links from other modules to this module again.

Tip: Use names that are easy to remember and identify. E.g. Dial-o-Matic, Phone1, etc.

Save a name
Click the OK button, Click YES to rename the module


Links to other modules

A link is a connection to a file server. After recording a message the message will be copied to the file server.

Adding a link to a Broadcast module
1. Click Add
2. Choose the directory where the module is located. Default location is C:\\radiohst32\\Broadcast\\
3. Double click the file Broadcas

Remove a link
1. Mark the link
2. Click Delete
3. Click Ok to delete the link

Relevant links
Normally a link to the file server is added. The file server is typically the PC in the broadcast studio and it has a Broadcast module installed.


Test transfer rate

With this feature you can test the transfer rate of your local hard drive.

The test transfer rate window
Right click the links section at choose "Test transfer rate" to bring up the Test transfer rate window.

Read/write test
You can perform a read only, a write only and two mixed transfer tests. To change the test you need to double click the line in the list box.

Testing
Click the TEST button to perform the test.


Manage users

A user is anyone who must have access to Dial-o-Matic. Dial-o-Matic identifies a user by the password used for log in. For every user you can setup access to directories.

System administrator
The user at the top of the list is the system administrator. Only the administrator can make changes to the setup.

Add a user
1. Highlight a user in the "User" window
2. Click the EDIT button
3. Type in a personal log in code for this user
4. Type in a name that identifies the user
5. When Dial-o-Matic is running as a shell, you can end the Windows session from Dial-o-Matic. The "Exit possible" box, when checked, gives a user the access to end a Windows session. Normally the "Exit possible" box is left unchecked.
6. Click on the ADD button

Editing users
1. Highlight a user in the "User" window
2. Click the EDIT button
3. Type in a new personal log in code for this user
4. Type in a new name that identifies the user
5. Change the "exit possible box " if appropriate
6. Click the RENAME button

Delete a user
1. Highlight a user in the "User" window
2. Click the DELETE button
3. Click OK to delete the user


Directory access

In the main window of Dial-o-Matic a list of directories is shown. A user can only see the directories he have access to.

Give a user access to some directories 1. Highlight a user in the "Users" window
2. Click the DIR button
3. Choose the location of a directory from the drop down list at the top. The drop down list includes the name of this installation of Dial-o-Matic and links to other installations.
4. Choose a directory in the "All directories" section at the right
5. Click the ADD button to provide access to this directory only
or Click the ADD+ button to provide access to this directory and its sub directories
6. Click the OK button

Removing access to some directories 1. Highlight a user in the "Users" window.
2. Click the DIR button
3. Choose the location of a directory from the drop down list at the top. The drop down list includes the name of this installation of Dial-o-Matic and links to other installations.
4. Choose a directory in the [SELECTED DIRECTORIES] section at the left
5. Click the DELETE button to remove access from this directory and its sub directories
6. Click the OK button


Using Sys tools

Here you have access to some disc tools and the operating system. This window is normally used if this installation is running as a shell.

Scan disc
Runs the Scan disc tool installed with Windows.

Defrag
Runs the Defrag tool installed with Windows.

Windows
Runs a Window desktop in a window.

Close
Close the System tool window and return to the Supervisor setup window.


Time setup

Many users can program Dial-o-Matic. Every users programming is a specific setup of menu options and messages, greetings etc. In time setup you decide when Dial-o-Matic will use a specific user´s programming. In this way the listener will experience different services at different times in a week.

Day
At the top right you can select a day where Dial-o-Matic will use another user´s programming.

Add user
1. Click the Add button
2. Select a user
3. Write a time for Dial-o-Matic to changes to the user´s programming [Ok]

Remove a user´s programming
1. Select a user in the list box
2. Click Remove

When Dial-o-Matic change to a new user´s programming, it will use this programming until a change to a new user occur.


Messages

Here you can setup different time values of how Dial-o-Matic will react on an incoming call.

Answer after
Dial-o-Matic will answer an incoming call after the specified number of bell rings.

Max length of message
A recording of a message will be interrupted after the specified number of seconds.

Message timeout
If no signal has been passed in a message, the recording is interrupted after the specified number of seconds.

Button push time out
If no phone key has been pressed in the specified number of seconds, the messages to the listener is repeated the number of times specified in the Repeat messages field. After repeating the messages the recording is interrupted.

Repeat messages
The number of times the messages to the listener is repeated before the recording is interrupted.


Manual recording

For future use.


Message buffer

A recorded message will be saved as a temporary file in this buffer. After the message is recorded and the file is closed the message will be copied to the directory specified in the programming of Dial-o-Matic.

Typically a directory on the local hard drive is used as the message buffer. In this way the messages is protected from network drop outs. The message will be copied to the destination directory when the network is up and running.

Directory setup
1. Click at the pencil icon
2. Select the directory [Ok]

Max size of dir
A maximum number of Mb messages in the directory. If the limit is crossed oldest messages will be deleted to free disk space.

Copy
You can see the status of the copy progress.


File names

A message from a listener is saved as a file. At this tab you can choose the components the filename is made of. Marking a component will ad it to the filename.


Registration

When the Radiohost system applications are first installed, they will run only as demo versions, where some critical functions will not work properly. When you register an application, make sure that the application is installed on the computer where you want to use it. You can not move a registered application to a different computer.

Registration
1. Install the application on the computer you want to run the application.
2. Select the [REGISTER] application installed with the application
3. Copy the code in the edit field
4. Send the code to Radiohost by e-mail
5. You may pay the registration amount to Radiohost´s account by bank transfer or send a check to Radiohost, ApS.
6. Once your account is credited with your payment, we will E-mail the code to activate the application
7. Re-run the [REGISTER] application
8. Click the REGISTRATION button
9. Enter the access code in the edit field
10. Enter your station's name, or corporate name
11. Click the OK button

The application should now run properly.

Note: See our homepage on www.radiohost.com for more information of how to register.


Watch mode

Wait mode

After a successful log in Dial-o-Matic will immediate go into wait mode. In wait mode Dial-o-Matic is watching the two telephone lines for incoming calls.

The selection tree/programming for the two lines is shown in each side of the window. Each line has a telephone icon at the top. The icon will change depending of the mode the line is in.

1. Wait mode: Normal icon
2. Call mode: Flashing icon
3. Receiving mode: The hook is off